Subject: Re: bug#18188: Please make it possible to have a directory-local setting for auto-mode-alist

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 29 May 2021 06:07:40 +0200

Tom Tromey <[email-masked]> writes:

> Eli> So I'm asking why not keep the current syntax for this feature, and
> Eli> avoid introducing a new kind of special key?  This would mean your
> Eli> example above will look like this:
> Eli>   (nil . ((auto-mode-alist . (("\\.def\\'" . c-mode)))))
>
> I suppose it would work ok as long as the code also doesn't try to set
> auto-mode-alist locally in the buffer, both because that variable isn't
> safe, and because I think it doesn't make sense to set it buffer-locally
> anyhow.

I think everybody agreed that this was a good feature to add (with Eli's
tweaks), but as far as I can tell, it was never added.  Tom, would it be
possible for you to re-spin this patch for Emacs 28?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no